#ifndef HW_LIB_PAGE_H
#define HW_LIB_PAGE_H

#include "oled.h"

typedef void (*Page_t)(OLED_T *dev);

extern uint8_t pageid, cur, cnt, item_h;

typedef struct Page_L {
    uint8_t id;
    uint8_t curmax: 3;
    uint8_t back;
    uint8_t curmin: 3;
    uint8_t item_h: 4;
    Page_t page;
} Page_L_t;

void pageinit();

Page_L_t pagesearch(uint8_t id);

void mainpage(OLED_T *dev);

void pageA(OLED_T *dev);

void pageB(OLED_T *dev);

void pageC(OLED_T *dev);

#endif //HW_LIB_PAGE_H
